isodumper
=========

A tool for USB sticks and removable memory devices like SD-cards.

Features:
* dump ISO file on the device; optionnally create a persistent partition, encrypted or not, in the remaining space;
* format the device in one partition of ext4, NTFS or FAT32 type;
* backup the device as a whole;
* optionnaly add a persistent partition in the remaining space of the device for use with Mageia Live ISOs, possibly encrypted in LUKS format;

The program provides a help for it use.

Requirements
-------------

- polkit
- python3
- python3-parted
- python3-pydbus
- udisks2
- libyui and declanation of ncurses, gtk or Qt, python bindings
- libyui-mga
- cryptsetup
- fdisk
- e2fsprogs
- python3-gnupg
- python3-manatools

Some explanations
-----------------
The application comprises two parts: a GUI and a backend, called magiback.
The GUI run in user mode, and call backend feature over DBUS. The backend run as deamon using systemd service and is launched as needed. The authorization is called to run the backend.
Logs of the backend are stored in /var/log/magiback.log

License
--------

This software is distributed under the terms of the
[GNU General Public License version 2 (GPLv2+)](COPYING.GPL).

The [isodumper icon](isodumper.svg) is licensed under the terms of the
[GNU Lesser General Public License version 2.1 (LGPLv2.1+)](COPYING.LGPL).
It is created by Thimothée Giet.

Authors
--------
- Papoteur, <papoteur@mageialinux-online.org>


Contributors
--------
- david.david, <david.david@mageialinux-online.org>


Translators
--------
- Papoteur, Guillaume Bernard, Eric Barbero, Rémi Verschelde, Antoine Dumondel - French
- Sergei Zivukov, AlexL, Анатолий Валерианович, Valentin XliN Saikov - Russian
- Yuri Chornoivan - Ukrainian
- marja - Dutch
- motitos, Miguel Ortega, Rodrigo Prieto, Egoitz Rodriguez Obieta - Spanish
- Marcello Anni - Italian
- Atilla ÖNTAŞ, tarakbumba, Fırat Kutlu - Turkish
- Filip Komar - Slovenian
- Kristoffer Grundström, Michael Eklund - Swedish
- You-Cheng Hsieh - Chinese Taiwan
- Marcio Andre Padula - Brazilian Portuguese
- Florin Cătălin RUSSEN - Romanian
- kiki.syahadat - Indonesian
- Daniel Napora, Tatsunoko - Polish
- Oliver Grawert, Rémi Verschelde, Marc Lattemann, user7, Christian Ruesch, psyca - German
- Marek Laane - Estonian
- dtsiamasiotis, Dimitrios Glentadakis - Greek
- fri, Jiří Vírava - Czech
- Rémi Verschelde - Danish
- Richard Shaylor, MrsB, Andi Chandler - English (United Kingdom)
- Manuela Silva - Portuguese
- Ḷḷumex03 - Asturian
- Egoitz Rodriguez Obieta - Basque
- Ardit Dani - Albanian
- xiao wenming - Simplified Chinese
- Cristian Garde Zarza, Davidmp - Catalan
- Ivica  Kolić - Croatian
- Balzamon - Hungarian
- Milan Baša - Slovak
- Linuxero - Arabic
- Masanori Kakura - Japanese
